

using System;
using IRaCIS.Core.Domain.Share;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Collections.Generic;

namespace IRaCIS.Core.Domain.Models
{
	///<summary>
	/// 系统阅片标准
	///</summary>
	[Table("ReadingQuestionCriterionSystem")]
	public class ReadingQuestionCriterionSystem : Entity, IAuditAdd
	{
		/// <summary>
		/// 标准
		/// </summary>
		public string CriterionName { get; set; }

		/// <summary>
		/// 是否启用
		/// </summary>
		public bool IsEnable { get; set; }

		/// <summary>
		/// 排序
		/// </summary>
		public int ShowOrder { get; set; }

		/// <summary>
		/// 是否完成配置
		/// </summary>
		public bool IsCompleteConfig { get; set; }

		/// <summary>
		/// 创建时间
		/// </summary>
		public DateTime CreateTime { get; set; }

		/// <summary>
		/// 确认时间
		/// </summary>
		public DateTime ConfirmTime { get; set; }

		/// <summary>
		/// 描述
		/// </summary>
		public string Description { get; set; }

		/// <summary>
		/// 创建人
		/// </summary>
		public Guid CreateUserId { get; set; }

		/// <summary>
		/// 标准类型
		/// </summary>
		public CriterionType CriterionType { get; set; }


		/// <summary>
		/// 肿瘤学阅片  
		/// </summary>
		public bool IsOncologyReading { get; set; } = false;

		[JsonIgnore]
		public List<ReadingQuestionSystem> ReadingQuestionSystemList { get; set; } = new List<ReadingQuestionSystem>();

		//[JsonIgnore]
		//[ForeignKey("CriterionId")]
		//public Dictionary Dictionary { get; set; }

	

	}


	



}
